import javax.xml.transform.Result;
import javax.xml.transform.Source;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerConfigurationException;
import javax.xml.transform.TransformerException;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.TransformerFactoryConfigurationError;
import javax.xml.transform.dom.DOMSource;
import javax.xml.transform.stream.StreamResult;

import org.w3c.dom.Document;

import ORG.oclc.oai.harvester2.verb.ListIdentifiers;


public class Testharvest {

	/**
	 * @param args
	 */
	public static void main(String[] args) {

		Testharvest th = new Testharvest("http://127.0.0.1:8080/geonetwork/srv/en/oaipmh");
		
		//Testharvest th2 = new Testharvest("http://85.10.219.212/geonetwork/srv/en/oaipmh");
		
	}

	public Testharvest(String url) {
		
		try {
		
		ListIdentifiers li = new ListIdentifiers(url, null, null, null, "iso19139");
		printDoc(li.getDocument());
		
		
	    String token = li.getResumptionToken();
	    
	    while ( token != null && token != "") {
	    
	    	li = new ListIdentifiers(url, token);
	    	
	    	printDoc(li.getDocument());
	    	
	    	token = li.getResumptionToken();
	    }
	    
	    
		}
		catch (Exception e) {
			
			e.printStackTrace();
			
		}
		
	}
	
	public static void printDoc(Document doc) {
		
	    Transformer transformer;
		try {
			transformer = TransformerFactory.newInstance().newTransformer();
		
	    Source source = new DOMSource(doc);
	    Result output = new StreamResult(System.out);
	    transformer.transform(source, output);
	    
		} catch (TransformerConfigurationException e) {
			e.printStackTrace();
		} catch (TransformerFactoryConfigurationError e) {
			e.printStackTrace();
		} catch (TransformerException e) {
			e.printStackTrace();
		}
		
	}
	
	
}
